org.fourthline.cling.support.model.item

## Class AudioBook

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item
    - - org.fourthline.cling.support.model.item.AudioItem
      - - org.fourthline.cling.support.model.item.AudioBook

-     public class AudioBook
      extends AudioItem

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.item.Item

      `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioBook()`
    `AudioBook(Item other)`
    `AudioBook(String id, Container parent, String title, String creator, Res... resource)`
    `AudioBook(String id, Container parent, String title, String creator, String producer, String contributor, String date, Res... resource)`
    `AudioBook(String id, String parentID, String title, String creator, Person producer, Person contributor, String date, Res... resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Person[]` | `getContributors()`
    `String` | `getDate()`
    `Person` | `getFirstContributor()`
    `Person` | `getFirstProducer()`
    `Person[]` | `getProducers()`
    `StorageMedium` | `getStorageMedium()`
    `AudioBook` | `setContributors(Person[] contributors)`
    `AudioBook` | `setDate(String date)`
    `AudioBook` | `setProducers(Person[] persons)`
    `AudioBook` | `setStorageMedium(StorageMedium storageMedium)`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.AudioItem

      `getDescription, getFirstGenre, getFirstPublisher, getFirstRelation, getFirstRights, getGenres, getLanguage, getLongDescription, getPublishers, getRelations, getRights, setDescription, setGenres, setLanguage, setLongDescription, setPublishers, setRelations, setRights`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.Item

      `getRefID, setRefID`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### AudioBook

          public AudioBook()

    - #### AudioBook

          public AudioBook(Item other)

    - #### AudioBook

          public AudioBook(String id,
                   Container parent,
                   String title,
                   String creator,
                   Res... resource)

    - #### AudioBook

          public AudioBook(String id,
                   Container parent,
                   String title,
                   String creator,
                   String producer,
                   String contributor,
                   String date,
                   Res... resource)

    - #### AudioBook

          public AudioBook(String id,
                   String parentID,
                   String title,
                   String creator,
                   Person producer,
                   Person contributor,
                   String date,
                   Res... resource)

  - ### Method Detail

    - #### getStorageMedium

          public StorageMedium getStorageMedium()

    - #### setStorageMedium

          public AudioBook setStorageMedium(StorageMedium storageMedium)

    - #### getFirstProducer

          public Person getFirstProducer()

    - #### getProducers

          public Person[] getProducers()

    - #### setProducers

          public AudioBook setProducers(Person[] persons)

    - #### getFirstContributor

          public Person getFirstContributor()

    - #### getContributors

          public Person[] getContributors()

    - #### setContributors

          public AudioBook setContributors(Person[] contributors)

    - #### getDate

          public String getDate()

    - #### setDate

          public AudioBook setDate(String date)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.